blob: 2396714f7c4e7f8213a7e98795d1e801c5067097 [file] [log] [blame]
Jeff Thompson39128c62013-06-19 14:08:51 -07001# Makefile.in generated by automake 1.13.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
20am__make_running_with_option = \
21 case $${target_option-} in \
22 ?) ;; \
23 *) echo "am__make_running_with_option: internal error: invalid" \
24 "target option '$${target_option-}' specified" >&2; \
25 exit 1;; \
26 esac; \
27 has_opt=no; \
28 sane_makeflags=$$MAKEFLAGS; \
29 if $(am__is_gnu_make); then \
30 sane_makeflags=$$MFLAGS; \
31 else \
32 case $$MAKEFLAGS in \
33 *\\[\ \ ]*) \
34 bs=\\; \
35 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
36 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
37 esac; \
38 fi; \
39 skip_next=no; \
40 strip_trailopt () \
41 { \
42 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
43 }; \
44 for flg in $$sane_makeflags; do \
45 test $$skip_next = yes && { skip_next=no; continue; }; \
46 case $$flg in \
47 *=*|--*) continue;; \
48 -*I) strip_trailopt 'I'; skip_next=yes;; \
49 -*I?*) strip_trailopt 'I';; \
50 -*O) strip_trailopt 'O'; skip_next=yes;; \
51 -*O?*) strip_trailopt 'O';; \
52 -*l) strip_trailopt 'l'; skip_next=yes;; \
53 -*l?*) strip_trailopt 'l';; \
54 -[dEDm]) skip_next=yes;; \
55 -[JT]) skip_next=yes;; \
56 esac; \
57 case $$flg in \
58 *$$target_option*) has_opt=yes; break;; \
59 esac; \
60 done; \
61 test $$has_opt = yes
62am__make_dryrun = (target_option=n; $(am__make_running_with_option))
63am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
64pkgdatadir = $(datadir)/@PACKAGE@
65pkgincludedir = $(includedir)/@PACKAGE@
66pkglibdir = $(libdir)/@PACKAGE@
67pkglibexecdir = $(libexecdir)/@PACKAGE@
68am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69install_sh_DATA = $(install_sh) -c -m 644
70install_sh_PROGRAM = $(install_sh) -c
71install_sh_SCRIPT = $(install_sh) -c
72INSTALL_HEADER = $(INSTALL_DATA)
73transform = $(program_transform_name)
74NORMAL_INSTALL = :
75PRE_INSTALL = :
76POST_INSTALL = :
77NORMAL_UNINSTALL = :
78PRE_UNINSTALL = :
79POST_UNINSTALL = :
80bin_PROGRAMS = test1$(EXEEXT)
81subdir = .
82DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
83 $(top_srcdir)/configure $(am__configure_deps) \
84 $(srcdir)/config.h.in $(dist_noinst_SCRIPTS) depcomp \
85 install-sh missing
86ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
87am__aclocal_m4_deps = $(top_srcdir)/configure.ac
88am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
89 $(ACLOCAL_M4)
90am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
91 configure.lineno config.status.lineno
92mkinstalldirs = $(install_sh) -d
93CONFIG_HEADER = config.h
94CONFIG_CLEAN_FILES =
95CONFIG_CLEAN_VPATH_FILES =
96am__installdirs = "$(DESTDIR)$(bindir)"
97PROGRAMS = $(bin_PROGRAMS)
98am__dirstamp = $(am__leading_dot)dirstamp
99am_test1_OBJECTS = test/test1.$(OBJEXT)
100test1_OBJECTS = $(am_test1_OBJECTS)
101test1_LDADD = $(LDADD)
102SCRIPTS = $(dist_noinst_SCRIPTS)
103AM_V_P = $(am__v_P_@AM_V@)
104am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
105am__v_P_0 = false
106am__v_P_1 = :
107AM_V_GEN = $(am__v_GEN_@AM_V@)
108am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
109am__v_GEN_0 = @echo " GEN " $@;
110am__v_GEN_1 =
111AM_V_at = $(am__v_at_@AM_V@)
112am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
113am__v_at_0 = @
114am__v_at_1 =
115DEFAULT_INCLUDES = -I.@am__isrc@
116depcomp = $(SHELL) $(top_srcdir)/depcomp
117am__depfiles_maybe = depfiles
118am__mv = mv -f
119CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
120 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
121AM_V_CXX = $(am__v_CXX_@AM_V@)
122am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
123am__v_CXX_0 = @echo " CXX " $@;
124am__v_CXX_1 =
125CXXLD = $(CXX)
126CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
127 -o $@
128AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
129am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
130am__v_CXXLD_0 = @echo " CXXLD " $@;
131am__v_CXXLD_1 =
132SOURCES = $(test1_SOURCES)
133DIST_SOURCES = $(test1_SOURCES)
134am__can_run_installinfo = \
135 case $$AM_UPDATE_INFO_DIR in \
136 n|no|NO) false;; \
137 *) (install-info --version) >/dev/null 2>&1;; \
138 esac
139am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
140 $(LISP)config.h.in
141# Read a list of newline-separated strings from the standard input,
142# and print each of them once, without duplicates. Input order is
143# *not* preserved.
144am__uniquify_input = $(AWK) '\
145 BEGIN { nonempty = 0; } \
146 { items[$$0] = 1; nonempty = 1; } \
147 END { if (nonempty) { for (i in items) print i; }; } \
148'
149# Make sure the list of sources is unique. This is necessary because,
150# e.g., the same source file might be shared among _SOURCES variables
151# for different programs/libraries.
152am__define_uniq_tagged_files = \
153 list='$(am__tagged_files)'; \
154 unique=`for i in $$list; do \
155 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
156 done | $(am__uniquify_input)`
157ETAGS = etags
158CTAGS = ctags
159CSCOPE = cscope
160AM_RECURSIVE_TARGETS = cscope
161DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162distdir = $(PACKAGE)-$(VERSION)
163top_distdir = $(distdir)
164am__remove_distdir = \
165 if test -d "$(distdir)"; then \
166 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
167 && rm -rf "$(distdir)" \
168 || { sleep 5 && rm -rf "$(distdir)"; }; \
169 else :; fi
170am__post_remove_distdir = $(am__remove_distdir)
171DIST_ARCHIVES = $(distdir).tar.gz
172GZIP_ENV = --best
173DIST_TARGETS = dist-gzip
174distuninstallcheck_listfiles = find . -type f -print
175am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
176 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
177distcleancheck_listfiles = find . -type f -print
178ACLOCAL = @ACLOCAL@
179AMTAR = @AMTAR@
180AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
181AUTOCONF = @AUTOCONF@
182AUTOHEADER = @AUTOHEADER@
183AUTOMAKE = @AUTOMAKE@
184AWK = @AWK@
185CPPFLAGS = @CPPFLAGS@
186CXX = @CXX@
187CXXDEPMODE = @CXXDEPMODE@
188CXXFLAGS = @CXXFLAGS@
189CYGPATH_W = @CYGPATH_W@
190DEFS = @DEFS@
191DEPDIR = @DEPDIR@
192ECHO_C = @ECHO_C@
193ECHO_N = @ECHO_N@
194ECHO_T = @ECHO_T@
195EXEEXT = @EXEEXT@
Jeff Thompson1b8f4c92013-06-19 16:18:46 -0700196HAVE_CXX11 = @HAVE_CXX11@
Jeff Thompson39128c62013-06-19 14:08:51 -0700197INSTALL = @INSTALL@
198INSTALL_DATA = @INSTALL_DATA@
199INSTALL_PROGRAM = @INSTALL_PROGRAM@
200INSTALL_SCRIPT = @INSTALL_SCRIPT@
201INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
202LDFLAGS = @LDFLAGS@
203LIBOBJS = @LIBOBJS@
204LIBS = @LIBS@
205LTLIBOBJS = @LTLIBOBJS@
206MAKEINFO = @MAKEINFO@
207MKDIR_P = @MKDIR_P@
208OBJEXT = @OBJEXT@
209PACKAGE = @PACKAGE@
210PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
211PACKAGE_NAME = @PACKAGE_NAME@
212PACKAGE_STRING = @PACKAGE_STRING@
213PACKAGE_TARNAME = @PACKAGE_TARNAME@
214PACKAGE_URL = @PACKAGE_URL@
215PACKAGE_VERSION = @PACKAGE_VERSION@
216PATH_SEPARATOR = @PATH_SEPARATOR@
217SET_MAKE = @SET_MAKE@
218SHELL = @SHELL@
219STRIP = @STRIP@
220VERSION = @VERSION@
221abs_builddir = @abs_builddir@
222abs_srcdir = @abs_srcdir@
223abs_top_builddir = @abs_top_builddir@
224abs_top_srcdir = @abs_top_srcdir@
225ac_ct_CXX = @ac_ct_CXX@
226am__include = @am__include@
227am__leading_dot = @am__leading_dot@
228am__quote = @am__quote@
229am__tar = @am__tar@
230am__untar = @am__untar@
231bindir = @bindir@
232build_alias = @build_alias@
233builddir = @builddir@
234datadir = @datadir@
235datarootdir = @datarootdir@
236docdir = @docdir@
237dvidir = @dvidir@
238exec_prefix = @exec_prefix@
239host_alias = @host_alias@
240htmldir = @htmldir@
241includedir = @includedir@
242infodir = @infodir@
243install_sh = @install_sh@
244libdir = @libdir@
245libexecdir = @libexecdir@
246localedir = @localedir@
247localstatedir = @localstatedir@
248mandir = @mandir@
249mkdir_p = @mkdir_p@
250oldincludedir = @oldincludedir@
251pdfdir = @pdfdir@
252prefix = @prefix@
253program_transform_name = @program_transform_name@
254psdir = @psdir@
255sbindir = @sbindir@
256sharedstatedir = @sharedstatedir@
257srcdir = @srcdir@
258sysconfdir = @sysconfdir@
259target_alias = @target_alias@
260top_build_prefix = @top_build_prefix@
261top_builddir = @top_builddir@
262top_srcdir = @top_srcdir@
263AUTOMAKE_OPTIONS = subdir-objects
264ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS}
265test1_SOURCES = test/test1.cpp
266dist_noinst_SCRIPTS = autogen.sh
267all: config.h
268 $(MAKE) $(AM_MAKEFLAGS) all-am
269
270.SUFFIXES:
271.SUFFIXES: .cpp .o .obj
272am--refresh: Makefile
273 @:
274$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
275 @for dep in $?; do \
276 case '$(am__configure_deps)' in \
277 *$$dep*) \
278 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
279 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
280 && exit 0; \
281 exit 1;; \
282 esac; \
283 done; \
284 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
285 $(am__cd) $(top_srcdir) && \
286 $(AUTOMAKE) --foreign Makefile
287.PRECIOUS: Makefile
288Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
289 @case '$?' in \
290 *config.status*) \
291 echo ' $(SHELL) ./config.status'; \
292 $(SHELL) ./config.status;; \
293 *) \
294 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
295 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
296 esac;
297
298$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
299 $(SHELL) ./config.status --recheck
300
301$(top_srcdir)/configure: $(am__configure_deps)
302 $(am__cd) $(srcdir) && $(AUTOCONF)
303$(ACLOCAL_M4): $(am__aclocal_m4_deps)
304 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
305$(am__aclocal_m4_deps):
306
307config.h: stamp-h1
308 @if test ! -f $@; then rm -f stamp-h1; else :; fi
309 @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
310
311stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
312 @rm -f stamp-h1
313 cd $(top_builddir) && $(SHELL) ./config.status config.h
314$(srcdir)/config.h.in: $(am__configure_deps)
315 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
316 rm -f stamp-h1
317 touch $@
318
319distclean-hdr:
320 -rm -f config.h stamp-h1
321install-binPROGRAMS: $(bin_PROGRAMS)
322 @$(NORMAL_INSTALL)
323 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
324 if test -n "$$list"; then \
325 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
326 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
327 fi; \
328 for p in $$list; do echo "$$p $$p"; done | \
329 sed 's/$(EXEEXT)$$//' | \
330 while read p p1; do if test -f $$p \
331 ; then echo "$$p"; echo "$$p"; else :; fi; \
332 done | \
333 sed -e 'p;s,.*/,,;n;h' \
334 -e 's|.*|.|' \
335 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
336 sed 'N;N;N;s,\n, ,g' | \
337 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
338 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
339 if ($$2 == $$4) files[d] = files[d] " " $$1; \
340 else { print "f", $$3 "/" $$4, $$1; } } \
341 END { for (d in files) print "f", d, files[d] }' | \
342 while read type dir files; do \
343 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
344 test -z "$$files" || { \
345 echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
346 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
347 } \
348 ; done
349
350uninstall-binPROGRAMS:
351 @$(NORMAL_UNINSTALL)
352 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
353 files=`for p in $$list; do echo "$$p"; done | \
354 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
355 -e 's/$$/$(EXEEXT)/' \
356 `; \
357 test -n "$$list" || exit 0; \
358 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
359 cd "$(DESTDIR)$(bindir)" && rm -f $$files
360
361clean-binPROGRAMS:
362 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
363test/$(am__dirstamp):
364 @$(MKDIR_P) test
365 @: > test/$(am__dirstamp)
366test/$(DEPDIR)/$(am__dirstamp):
367 @$(MKDIR_P) test/$(DEPDIR)
368 @: > test/$(DEPDIR)/$(am__dirstamp)
369test/test1.$(OBJEXT): test/$(am__dirstamp) \
370 test/$(DEPDIR)/$(am__dirstamp)
371
372test1$(EXEEXT): $(test1_OBJECTS) $(test1_DEPENDENCIES) $(EXTRA_test1_DEPENDENCIES)
373 @rm -f test1$(EXEEXT)
374 $(AM_V_CXXLD)$(CXXLINK) $(test1_OBJECTS) $(test1_LDADD) $(LIBS)
375
376mostlyclean-compile:
377 -rm -f *.$(OBJEXT)
378 -rm -f test/*.$(OBJEXT)
379
380distclean-compile:
381 -rm -f *.tab.c
382
383@AMDEP_TRUE@@am__include@ @am__quote@test/$(DEPDIR)/test1.Po@am__quote@
384
385.cpp.o:
386@am__fastdepCXX_TRUE@ $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
387@am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
388@am__fastdepCXX_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
389@AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
390@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
391@am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
392
393.cpp.obj:
394@am__fastdepCXX_TRUE@ $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
395@am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
396@am__fastdepCXX_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
397@AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
398@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
399@am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
400
401ID: $(am__tagged_files)
402 $(am__define_uniq_tagged_files); mkid -fID $$unique
403tags: tags-am
404TAGS: tags
405
406tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
407 set x; \
408 here=`pwd`; \
409 $(am__define_uniq_tagged_files); \
410 shift; \
411 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
412 test -n "$$unique" || unique=$$empty_fix; \
413 if test $$# -gt 0; then \
414 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
415 "$$@" $$unique; \
416 else \
417 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
418 $$unique; \
419 fi; \
420 fi
421ctags: ctags-am
422
423CTAGS: ctags
424ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
425 $(am__define_uniq_tagged_files); \
426 test -z "$(CTAGS_ARGS)$$unique" \
427 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
428 $$unique
429
430GTAGS:
431 here=`$(am__cd) $(top_builddir) && pwd` \
432 && $(am__cd) $(top_srcdir) \
433 && gtags -i $(GTAGS_ARGS) "$$here"
434cscope: cscope.files
435 test ! -s cscope.files \
436 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
437clean-cscope:
438 -rm -f cscope.files
439cscope.files: clean-cscope cscopelist
440cscopelist: cscopelist-am
441
442cscopelist-am: $(am__tagged_files)
443 list='$(am__tagged_files)'; \
444 case "$(srcdir)" in \
445 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
446 *) sdir=$(subdir)/$(srcdir) ;; \
447 esac; \
448 for i in $$list; do \
449 if test -f "$$i"; then \
450 echo "$(subdir)/$$i"; \
451 else \
452 echo "$$sdir/$$i"; \
453 fi; \
454 done >> $(top_builddir)/cscope.files
455
456distclean-tags:
457 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
458 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
459
460distdir: $(DISTFILES)
461 $(am__remove_distdir)
462 test -d "$(distdir)" || mkdir "$(distdir)"
463 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
464 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
465 list='$(DISTFILES)'; \
466 dist_files=`for file in $$list; do echo $$file; done | \
467 sed -e "s|^$$srcdirstrip/||;t" \
468 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
469 case $$dist_files in \
470 */*) $(MKDIR_P) `echo "$$dist_files" | \
471 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
472 sort -u` ;; \
473 esac; \
474 for file in $$dist_files; do \
475 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
476 if test -d $$d/$$file; then \
477 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
478 if test -d "$(distdir)/$$file"; then \
479 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
480 fi; \
481 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
482 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
483 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
484 fi; \
485 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
486 else \
487 test -f "$(distdir)/$$file" \
488 || cp -p $$d/$$file "$(distdir)/$$file" \
489 || exit 1; \
490 fi; \
491 done
492 -test -n "$(am__skip_mode_fix)" \
493 || find "$(distdir)" -type d ! -perm -755 \
494 -exec chmod u+rwx,go+rx {} \; -o \
495 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
496 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
497 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
498 || chmod -R a+r "$(distdir)"
499dist-gzip: distdir
500 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
501 $(am__post_remove_distdir)
502
503dist-bzip2: distdir
504 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
505 $(am__post_remove_distdir)
506
507dist-lzip: distdir
508 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
509 $(am__post_remove_distdir)
510
511dist-xz: distdir
512 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
513 $(am__post_remove_distdir)
514
515dist-tarZ: distdir
516 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
517 $(am__post_remove_distdir)
518
519dist-shar: distdir
520 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
521 $(am__post_remove_distdir)
522
523dist-zip: distdir
524 -rm -f $(distdir).zip
525 zip -rq $(distdir).zip $(distdir)
526 $(am__post_remove_distdir)
527
528dist dist-all:
529 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
530 $(am__post_remove_distdir)
531
532# This target untars the dist file and tries a VPATH configuration. Then
533# it guarantees that the distribution is self-contained by making another
534# tarfile.
535distcheck: dist
536 case '$(DIST_ARCHIVES)' in \
537 *.tar.gz*) \
538 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
539 *.tar.bz2*) \
540 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
541 *.tar.lz*) \
542 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
543 *.tar.xz*) \
544 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
545 *.tar.Z*) \
546 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
547 *.shar.gz*) \
548 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
549 *.zip*) \
550 unzip $(distdir).zip ;;\
551 esac
552 chmod -R a-w $(distdir)
553 chmod u+w $(distdir)
554 mkdir $(distdir)/_build $(distdir)/_inst
555 chmod a-w $(distdir)
556 test -d $(distdir)/_build || exit 0; \
557 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
558 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
559 && am__cwd=`pwd` \
560 && $(am__cd) $(distdir)/_build \
561 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
562 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
563 $(DISTCHECK_CONFIGURE_FLAGS) \
564 && $(MAKE) $(AM_MAKEFLAGS) \
565 && $(MAKE) $(AM_MAKEFLAGS) dvi \
566 && $(MAKE) $(AM_MAKEFLAGS) check \
567 && $(MAKE) $(AM_MAKEFLAGS) install \
568 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
569 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
570 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
571 distuninstallcheck \
572 && chmod -R a-w "$$dc_install_base" \
573 && ({ \
574 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
575 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
576 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
577 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
578 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
579 } || { rm -rf "$$dc_destdir"; exit 1; }) \
580 && rm -rf "$$dc_destdir" \
581 && $(MAKE) $(AM_MAKEFLAGS) dist \
582 && rm -rf $(DIST_ARCHIVES) \
583 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
584 && cd "$$am__cwd" \
585 || exit 1
586 $(am__post_remove_distdir)
587 @(echo "$(distdir) archives ready for distribution: "; \
588 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
589 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
590distuninstallcheck:
591 @test -n '$(distuninstallcheck_dir)' || { \
592 echo 'ERROR: trying to run $@ with an empty' \
593 '$$(distuninstallcheck_dir)' >&2; \
594 exit 1; \
595 }; \
596 $(am__cd) '$(distuninstallcheck_dir)' || { \
597 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
598 exit 1; \
599 }; \
600 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
601 || { echo "ERROR: files left after uninstall:" ; \
602 if test -n "$(DESTDIR)"; then \
603 echo " (check DESTDIR support)"; \
604 fi ; \
605 $(distuninstallcheck_listfiles) ; \
606 exit 1; } >&2
607distcleancheck: distclean
608 @if test '$(srcdir)' = . ; then \
609 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
610 exit 1 ; \
611 fi
612 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
613 || { echo "ERROR: files left in build directory after distclean:" ; \
614 $(distcleancheck_listfiles) ; \
615 exit 1; } >&2
616check-am: all-am
617check: check-am
618all-am: Makefile $(PROGRAMS) $(SCRIPTS) config.h
619installdirs:
620 for dir in "$(DESTDIR)$(bindir)"; do \
621 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
622 done
623install: install-am
624install-exec: install-exec-am
625install-data: install-data-am
626uninstall: uninstall-am
627
628install-am: all-am
629 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
630
631installcheck: installcheck-am
632install-strip:
633 if test -z '$(STRIP)'; then \
634 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
635 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
636 install; \
637 else \
638 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
639 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
640 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
641 fi
642mostlyclean-generic:
643
644clean-generic:
645
646distclean-generic:
647 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
648 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
649 -rm -f test/$(DEPDIR)/$(am__dirstamp)
650 -rm -f test/$(am__dirstamp)
651
652maintainer-clean-generic:
653 @echo "This command is intended for maintainers to use"
654 @echo "it deletes files that may require special tools to rebuild."
655clean: clean-am
656
657clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
658
659distclean: distclean-am
660 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
661 -rm -rf test/$(DEPDIR)
662 -rm -f Makefile
663distclean-am: clean-am distclean-compile distclean-generic \
664 distclean-hdr distclean-tags
665
666dvi: dvi-am
667
668dvi-am:
669
670html: html-am
671
672html-am:
673
674info: info-am
675
676info-am:
677
678install-data-am:
679
680install-dvi: install-dvi-am
681
682install-dvi-am:
683
684install-exec-am: install-binPROGRAMS
685
686install-html: install-html-am
687
688install-html-am:
689
690install-info: install-info-am
691
692install-info-am:
693
694install-man:
695
696install-pdf: install-pdf-am
697
698install-pdf-am:
699
700install-ps: install-ps-am
701
702install-ps-am:
703
704installcheck-am:
705
706maintainer-clean: maintainer-clean-am
707 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
708 -rm -rf $(top_srcdir)/autom4te.cache
709 -rm -rf test/$(DEPDIR)
710 -rm -f Makefile
711maintainer-clean-am: distclean-am maintainer-clean-generic
712
713mostlyclean: mostlyclean-am
714
715mostlyclean-am: mostlyclean-compile mostlyclean-generic
716
717pdf: pdf-am
718
719pdf-am:
720
721ps: ps-am
722
723ps-am:
724
725uninstall-am: uninstall-binPROGRAMS
726
727.MAKE: all install-am install-strip
728
729.PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
730 clean-binPROGRAMS clean-cscope clean-generic cscope \
731 cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
732 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
733 distcheck distclean distclean-compile distclean-generic \
734 distclean-hdr distclean-tags distcleancheck distdir \
735 distuninstallcheck dvi dvi-am html html-am info info-am \
736 install install-am install-binPROGRAMS install-data \
737 install-data-am install-dvi install-dvi-am install-exec \
738 install-exec-am install-html install-html-am install-info \
739 install-info-am install-man install-pdf install-pdf-am \
740 install-ps install-ps-am install-strip installcheck \
741 installcheck-am installdirs maintainer-clean \
742 maintainer-clean-generic mostlyclean mostlyclean-compile \
743 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
744 uninstall-am uninstall-binPROGRAMS
745
746
747# Tell versions [3.59,3.63) of GNU make to not export all variables.
748# Otherwise a system limit (for SysV at least) may be exceeded.
749.NOEXPORT: